package com.atlassian.webdriver.bitbucket.element;

import com.atlassian.pageobjects.elements.PageElement;
import com.atlassian.pageobjects.elements.WebDriverLocatable;
import com.atlassian.pageobjects.elements.timeout.TimeoutType;
import org.openqa.selenium.By;

public class NavItem extends LegacyElementPageObject {

    public NavItem(PageElement pageElement) {
        super(pageElement);
    }

    public NavItem(WebDriverLocatable locatable, TimeoutType timeoutType) {
        super(locatable, timeoutType);
    }

    @Override
    public PageElement click() {
        return this.find(By.tagName("a")).click();
    }
}
